Bug 1008128 - mingw32-configure cannot find zipconf.h
mingw32-configure cannot find zipconf.h
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mingw-libzip (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sandro Mani
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-14 21:41 EDT by Scott Talbert
Modified: 2013-09-28 21:30 EDT (History)
2 users (show)

See Also:
Fixed In Version: mingw-libzip-0.11.1-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-26 20:38:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Talbert 2013-09-14 21:41:28 EDT
When trying to mingw32-configure an application that is trying to use libzip, mingw32-configure cannot find zipconf.h:

configure:15300: checking zip.h usability
configure:15300: i686-w64-mingw32-gcc -c  -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions --param=ssp-buffer-size=4  conftest.c >&5
In file included from conftest.c:56:0:
/usr/i686-w64-mingw32/sys-root/mingw/include/zip.h:53:21: fatal error: zipconf.h: No such file or directory
 #include <zipconf.h>
                     ^
compilation terminated.

zipconf.h is present, but it is in:
/usr/i686-w64-mingw32/sys-root/mingw/lib/libzip/include/zipconf.h

It should probably be in (like the regular Fedora package):
/usr/i686-w64-mingw32/sys-root/mingw/include/
Comment 1 Sandro Mani 2013-09-17 14:26:48 EDT
Thanks for the bug report, fixed packages are building.
Comment 2 Scott Talbert 2013-09-17 14:36:42 EDT
Thanks for such a quick response :-)
Comment 3 Fedora Update System 2013-09-17 14:37:51 EDT
mingw-libzip-0.11.1-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mingw-libzip-0.11.1-3.fc19
Comment 4 Fedora Update System 2013-09-17 14:38:37 EDT
mingw-libzip-0.11.1-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mingw-libzip-0.11.1-3.fc20
Comment 5 Fedora Update System 2013-09-18 09:01:08 EDT
Package mingw-libzip-0.11.1-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mingw-libzip-0.11.1-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17003/mingw-libzip-0.11.1-3.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-09-26 20:38:38 EDT
mingw-libzip-0.11.1-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-09-28 21:30:23 EDT
mingw-libzip-0.11.1-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.